Skip to main content
GET
/
community_interactions
Get community interactions
curl --request GET \
  --url https://community.dashsocial.com/community_interactions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "is_hidden": true,
      "is_liked": true,
      "is_owned": true,
      "text": "<string>",
      "tiktok_parent_comment_id": "<string>",
      "assignee_id": 123,
      "author_profile_picture_url": "<string>",
      "author_username": null,
      "brand_id": 123,
      "brand_user_reply": {
        "brand_id": 123,
        "created_at": "2023-11-07T05:31:56Z",
        "id": 123,
        "resource_id": 123,
        "updated_at": "2023-11-07T05:31:56Z",
        "user_id": 123
      },
      "created_at": "2023-11-07T05:31:56Z",
      "id": 123,
      "is_archived": true,
      "is_author_blocked": true,
      "is_follow_up": true,
      "is_read": true,
      "media_id": 123,
      "post_media": {
        "comment_count": 123,
        "image_sizes": {
          "default": "<string>"
        },
        "media_comment_sentiment": {
          "negative_count": 123,
          "neutral_count": 123,
          "positive_count": 123
        },
        "media_type": "<string>",
        "source_created_at": "2023-11-07T05:31:56Z",
        "caption": "<string>",
        "likes": 123,
        "user_avatar": "<string>",
        "user_handle": "<string>"
      },
      "post_thumbnail_url": "<string>",
      "search_result_snippet": "<string>",
      "sentiment": {
        "is_negative": true,
        "is_neutral": true,
        "is_positive": true,
        "is_question": true
      },
      "source_updated_at": "2023-11-07T05:31:56Z",
      "tag_ids": [
        123
      ],
      "tickets": [
        {
          "label": "<string>",
          "source_created_at": "<string>",
          "source_id": "<string>",
          "source_updated_at": "<string>",
          "status": "<string>",
          "message_id": 123
        }
      ],
      "tiktok_comment_id": "<string>",
      "tiktok_username": "<string>",
      "tiktok_video_created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "paging": {
    "count": 123,
    "next": "<string>",
    "offset": 123,
    "previous": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.dashsocial.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

brand_id
integer
required

The conversation's brand ID.

limit
integer
default:100

Number of results to return in a single response.

offset
integer
default:0

The offset of the first result to be returned.

types
enum<string>[]

Comma separated list of types.

Available options:
COMMUNITY_INTERACTION,
FACEBOOK_ADS_COMMENT,
FACEBOOK_COMMENT,
FACEBOOK_CONVERSATION,
INSTAGRAM_ADS_COMMENT,
INSTAGRAM_COMMENT,
INSTAGRAM_CONVERSATION,
TIKTOK_COMMENT,
TWITTER_CONVERSATION,
TWITTER_MENTION,
TWITTER_QUOTE,
TWITTER_RETWEET,
YOUTUBE_COMMENT
tag_ids
integer[]

Comma separated list of tag IDs to filter results by. Condition is AND

source_updated_after
string<date-time>

When the community interaction was updated according to the source platform.

source_updated_before
string<date-time>

When the community interaction was updated according to the source platform.

is_archived
boolean

Whether the community interaction is marked as archived.

is_follow_up
boolean

Whether the community interaction is marked as follow-up.

is_read
boolean

Whether the community interaction is marked as read.

query
string

A text that helps search for relevant records.

multiple_keywords
boolean

Flag to determine if query is a list of comma separated keywords.

media_ids
integer[]

Comma separated list of library media IDs

is_positive
boolean

Is the comment is labeled as positive.

is_neutral
boolean

Is the comment is labeled as positive.

is_negative
boolean

Is the comment is labeled as positive.

is_question
boolean

Is the comment a question.

ticket_id
string

A ticket ID to filter results by with OR condition.

assignee_id
integer

ID of the assigned user

sort
enum<string>

Value to sort results by and the direction.

Available options:
-SOURCE_UPDATED_AT,
RELEVANCE,
SAMPLE,
SOURCE_UPDATED_AT
message_nested_date_filter
boolean

When set to true, the source_updated_after/before filter will be applied to individual messages inside a conversation when performing a search

id
integer

The ID of the specific interaction.

must_include_text
boolean

If the documents searched must have text

Response

OK

data
object[]

Different types of community interactions.

paging
object

Pagination data